import CoUxCarouselItem from '../../../../components/10x/ux/ux-carousel-item.js'
import CoUxCarouselItems from '../../../../components/10x/ux/ux-carousel-items.js'
import EuiBasePage from '../eui-base.po.js'

export default class CarouselItemPage extends EuiBasePage {

  constructor() {
      super();
  }
   carouselItemByIndex(index) {
    let carouselItem =  new CoUxCarouselItems(this.mainContent).carouselItemCO;
    return carouselItem.byIndex(index);
  }
  carouselItemByTextContains(text) {
    let carouselItem = new CoUxCarouselItems(this.mainContent).carouselItemCO;
    return carouselItem.byTextContains(text);
  }
  carouselItemByTextEqualsAndIndex(text, index, normalize=true) {
    let carouselItem = new CoUxCarouselItems(this.mainContent).carouselItemCO;
    return carouselItem.byTextEqualsAndIndex(text, index, normalize);
  }
  carouselItemFromSectionById(id) {
    return new CoUxCarouselItem(this.sectionById(id));
  }
  carouselItemFromSectionWithIdByIndex(id, index) {
    let carouselItem = new CoUxCarouselItem(this.sectionById(id));
    return carouselItem.byIndex(index);
  }
   carouselItemsByIndex(index) {
    let carouselItems=  new CoUxCarouselItems(this.mainContent);
    return carouselItems.byIndex(index);
  }
  carouselItemsByTextContains(text) {
    let carouselItems = new CoUxCarouselItems(this.mainContent);
    return carouselItems.byTextContains(text);
  }
  carouselItemsByTextEqualsAndIndex(text, index, normalize=true) {
    let carouselItems = new CoUxCarouselItems(this.mainContent);
    return carouselItems.byTextEqualsAndIndex(text, index, normalize);
  }
}


